package org.maxkey.persistence.service;

import org.apache.mybatis.jpa.persistence.JpaBaseService;
import org.maxkey.entity.SocialsAssociate;
import org.maxkey.persistence.mapper.SocialsAssociateMapper;
import org.maxkey.persistence.mapper.SocialsProviderMapper;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Repository;

@Repository
public class SocialsAssociateOptService  extends JpaBaseService<SocialsAssociate>
{
    final static Logger _logger = LoggerFactory.getLogger(SocialsAssociateOptService.class);

    /* (non-Javadoc)
     * @see com.connsec.db.service.BaseService#getMapper()
     */
    public SocialsAssociateOptService() {
        super(SocialsAssociateMapper.class);
    }

    @Override
    public SocialsAssociateMapper getMapper() {
        return (SocialsAssociateMapper)super.getMapper();
    }
}
